<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserTicketMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userTicketResultMap" type="org.springblade.modules.platform.entity.UserTicket">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="ticket" property="ticket"/>
        <result column="data_src" property="dataSrc"/>
        <result column="data_id" property="dataId"/>
        <result column="data_remarks" property="dataRemarks"/>
        <result column="ticket_type" property="ticketType"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectUserTicketPage" resultMap="userTicketResultMap">
        select * from t_user_ticket where is_deleted = 0
    </select>

</mapper>
